/*
 
 Copyright (C) 2012 Timo Lassmann <timolassmann@gmail.com>
 
 This file is part of rRNAdust.
 
 Delve is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 Delve is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with Delve.  If not, see <http://www.gnu.org/licenses/>.
 
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>
#include <ctype.h>
#include <pthread.h>
#include<assert.h>
#include <unistd.h>
#include <assert.h>


#define MAX_SEQ_LEN 500
#define MAX_LINE 5000
#define LIST_STORE_SIZE 1

#define MAXERROR 10
#define VERSION 1.06
#define SEEK_START 0
#define SEEK_END 2



struct thread_data{
	struct read_info** ri;
	struct parameters* param;
	struct fasta* reference;
	int start;
	int end;
};


void compare(struct fasta* reference,struct parameters* param,int (*fp)(struct read_info** ,struct parameters*,FILE* ),int file_num,int sam);
void start_threads(struct fasta* reference,struct parameters* param, struct read_info** ri, int numseq);
void* compare_thread(void *threadarg);

